package com.mygdx.game;

/**
 * Creates a game instance and is the starting point of the game.
 */
public class Game extends com.badlogic.gdx.Game {

	// Singleton
	private static Game instance = new Game();

	public GameAssetManager assetManager ;

	// private constructor prevents any other class from instantiating
	private Game() {}

	public static Game getGameInstance()
	{
		return instance;
	}

	/**
	 * Starts the loading process and sets the first game screen.
	 */
	@Override
	public void create () {
		assetManager = new GameAssetManager();
		setScreen(new LoadingScreen());
	}
}
