package com.mygdx.game;


import com.badlogic.gdx.assets.AssetManager;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.TextureAtlas;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;

/**
 * Manage the game assets. Loads the atlas files at the beginning, instead of during gameplay.
 */
public class GameAssetManager {

    public final AssetManager manager = new AssetManager();

    // atlas
    private final String personFiles = "personFiles.atlas";
    private final String personPortrait = "personPortrait.atlas";
    private final String diary = "diary.atlas";
    private final String whatsApp = "whatsApp.atlas";
    private final String hdm = "picturesHDM.atlas";

    public void loadData()
    {
        manager.load(personFiles, TextureAtlas.class);
        manager.load(personPortrait, TextureAtlas.class);
        manager.load(diary, TextureAtlas.class);
        manager.load(whatsApp, TextureAtlas.class);
        manager.load(hdm,TextureAtlas.class);
    }



}
