package com.mygdx.game.interrogation;

import java.util.ArrayList;

/**
 * Defines the structure of an interrogation.
 */
public class Interrogation {

    private String intro;
    private String outro;
    private ArrayList<Sentences> sentences;

    /**
     * Delivers an ArrayList which contains the answers and questions for the interrogation
     *
     * @return ArrayList with answers and questions
     */
    public ArrayList<Sentences> getSentences() {
        // ToDo: deep Copy ArrayList
        return sentences;
    }

    /**
     * Delivers intro sentences, that should be displayed at the beginning of an interrogation
     *
     * @return intro sentences
     */
    public String getIntro() {
        return intro;
    }

    /**
     * Delivers outro sentences, that should be displayed at the end of an interrogation
     *
     * @return outro sentences
     */
    public String getOutro() {
        return outro;
    }

}
